<?php

class KarmaSearch {
  private $dir;
  function __construct($dir) {
    $this->dir = $dir;
  }
  public function LogIP($ip) {
    $parts = explode('.',$ip);
    $curr_dir = $this->dir;
    $curr_dir .= "/".$parts[0];
    if(!is_dir($curr_dir))
      mkdir($curr_dir, 0700);
    $curr_dir .= "/".$parts[1];
    if(!is_dir($curr_dir))
      mkdir($curr_dir, 0700);
    $curr_dir .= "/".$parts[2];
    if(!is_dir($curr_dir))
      mkdir($curr_dir, 0700);
    if(!file_exists($curr_dir.'/'.$parts[3]))
      touch($curr_dir.'/'.$parts[3].'.json');
  }
  public function CheckIP($ip) {
    return file_exists($this->dir.'/'.str_replace('.','/',$ip).'.json');
  }
  public function RemoveIP($ip) {
    unlink($this->dir.'/'.str_replace('.','/',$ip).'.json');
  }
}
